local Grid2StatusGroupOptions = {}
Grid2Options.plugins["Grid2StatusGroupOptions"] = Grid2StatusGroupOptions

local L = LibStub("AceLocale-3.0"):GetLocale("Grid2Options")

function Grid2StatusGroupOptions:MakeDefaultSetup(setup, class)
	if (not setup.groupIcon) then
		setup.groupIcon = true

		Grid2Options:SetupIndicatorTypeLocation(setup, "icon", "side-bottom-left", "side-bottom-left", {8, "RIGHT", "BOTTOM", -2, 1})
		Grid2Options:SetupIndicatorTypeLocation(setup, "icon", "side-bottom-right", "side-bottom-right", {8, "LEFT", "BOTTOM", 2, 1})
		
		local setupIndicator = setup.status
		Grid2Options:SetupIndicatorStatus(setupIndicator, "side-bottom-left", "target-icon-player", 38)
		Grid2Options:SetupIndicatorStatus(setupIndicator, "side-bottom-right", "target-icon", 39)
	end
end

local prev_MakeOptions = Grid2Options.MakeOptions
function Grid2Options:MakeOptions(setup, reset, ...)
	prev_MakeOptions(self, setup, reset, ...)
	local status, options

	status = Grid2.statuses["leader"]
	if (status) then
		options = Grid2Options:MakeStatusColorOption(status)
		Grid2Options:AddElement("status", status, options)
	end

	status = Grid2.statuses["raid-assistant"]
	if (status) then
		options = Grid2Options:MakeStatusColorOption(status)
		Grid2Options:AddElement("status", status, options)
	end

	status = Grid2.statuses["master-looter"]
	if (status) then
		options = Grid2Options:MakeStatusColorOption(status)
		Grid2Options:AddElement("status", status, options)
	end
end


